#*************************************************************************
#
#   OpenOffice.org - a multi-platform office productivity suite
#
#   $RCSfile: makefile.mk,v $
#
#   $Revision: 1.8 $
#
#   last change: $Author: aw $ $Date: 2008-06-24 15:31:08 $
#
#   The Contents of this file are made available subject to
#   the terms of GNU Lesser General Public License Version 2.1.
#
#
#     GNU Lesser General Public License Version 2.1
#     =============================================
#     Copyright 2005 by Sun Microsystems, Inc.
#     901 San Antonio Road, Palo Alto, CA 94303, USA
#
#     This library is free software; you can redistribute it and/or
#     modify it under the terms of the GNU Lesser General Public
#     License version 2.1, as published by the Free Software Foundation.
#
#     This library is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#     Lesser General Public License for more details.
#
#     You should have received a copy of the GNU Lesser General Public
#     License along with this library; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#     MA  02111-1307  USA
#
#*************************************************************************

PRJ=..$/..
PRJNAME=drawinglayer
TARGET=processor2d
ENABLE_EXCEPTIONS=TRUE

# --- Settings ----------------------------------

.INCLUDE :  	settings.mk

# --- Files -------------------------------------

SLOFILES= \
        $(SLO)$/baseprocessor2d.obj				\
        $(SLO)$/vclhelpergradient.obj			\
        $(SLO)$/vclhelperbitmaptransform.obj	\
        $(SLO)$/vclhelperbitmaprender.obj		\
        $(SLO)$/vclhelperbufferdevice.obj		\
        $(SLO)$/vclprocessor2d.obj				\
        $(SLO)$/helperchartrenderer.obj			\
        $(SLO)$/helperwrongspellrenderer.obj	\
        $(SLO)$/vclpixelprocessor2d.obj			\
        $(SLO)$/vclmetafileprocessor2d.obj		\
        $(SLO)$/contourextractor2d.obj			\
        $(SLO)$/linegeometryextractor2d.obj		\
        $(SLO)$/canvasprocessor.obj				\
        $(SLO)$/hittestprocessor2d.obj			\
        $(SLO)$/textaspolygonextractor2d.obj

# --- Targets ----------------------------------

.INCLUDE : target.mk
